%define packname  pls 

Name:             R-%{packname}
Version:          2.1
Release:          2%{?dist}
Summary:          Multivariate regression by PLSR and PCR
Summary(fr):      Régression multivariée par PLSR et PCR

Group:            Applications/Productivity
License:          GPLv2
URL:              http://cran.r-project.org/src/contrib/Descriptions/pls.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{version}-0.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:        noarch

BuildRequires:    R-devel tetex-latex 
Requires(post):   R
Requires(postun): R

%description
Multivariate regression by partial least squares regression (PLSR) 
and principal component regression (PCR)

%description -l fr
Régression multivarié par la technique des moindres carrés et
l'analyse en composants principales
 
%prep
%setup -c -q -n %{packname}
for f in %{packname}/man/*
 do
  iconv -f  ISO-8859-1 -t UTF-8 -o $f.temp $f
  mv $f.temp $f
done

iconv -f ISO-8859-1 -t UTF-8 -o %{packname}/DESCRIPTION.temp %{packname}/DESCRIPTION
mv %{packname}/DESCRIPTION.temp %{packname}/DESCRIPTION


%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css

install -pm 0644  %{packname}/CHANGES %{buildroot}%{_datadir}/R/library/%{packname}


%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%post
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-, root, root, -)
%dir %{_datadir}/R/library/%{packname}
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/latex/
%doc %{_datadir}/R/library/%{packname}/man/
%doc %{_datadir}/R/library/%{packname}/CHANGES
%{_datadir}/R/library/%{packname}/Meta/
%{_datadir}/R/library/%{packname}/R-ex/
%{_datadir}/R/library/%{packname}/R/
%{_datadir}/R/library/%{packname}/help/
%{_datadir}/R/library/%{packname}/CONTENTS
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/data



%changelog
* Sat Jan 19 2008 Pingou <pingoufc4@yahoo.fr> 2.1-2
- Add the file CHANGE as documentation

* Thu Jan 17 2008 Pingou <pingoufc4@yahoo.fr> 2.1-1
- Update to version 2.1 

*Wed Aug 29 2007 Pingou <pingoufc4@yahoo.fr> 2.0-4
-Changed the license tag

*Tue Jul 10 2007 Pingou <pingoufc4@yahoo.fr> 2.0-3
-Change in post and postun to fit the packaging guidelines
-Change in prep to fit the same guidelines

*Wed Jun 12 2007 Pingou <pingoufc4@yahoo.fr> 2.0-2
-Add of the %%check part

*Wed Jun 12 2007 Pingou <pingoufc4@yahoo.fr> 2.0-1
-First build of the rpm for Fedora

